package com.bweb.model;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class ExportHighOrderModel {

    @ExcelIgnore
    @ExcelProperty("订单编号")
    private String orderId;

    @ExcelProperty("商户名称")
    private String merchantName;

    @ExcelProperty("商品类型")
    private String goodsType;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("订单来源")
    private String giveawayType;

    @ExcelProperty("订单号")
    private String orderNo;

    @ExcelProperty("用户名称")
    private String memName;

    @ExcelProperty("用户手机号")
    private String memPhone;

    @ExcelProperty("支付模式")
    private String payModel;

    @ExcelProperty("支付方式")
    private String payType;

    @ExcelProperty("第三方订单号")
    private String paySerialNo;

    @ExcelProperty("订单总金额")
    private BigDecimal totalPrice;

    @ExcelProperty("优惠券名称")
    private String memDiscountName;

    @ExcelProperty("优惠券金额")
    private BigDecimal deductionPrice;

    @ExcelProperty("支付金币(数量) 1:100")
    private Integer payGold;

    @ExcelProperty("支付金额")
    private BigDecimal payPrice;

    @ExcelProperty("实付金额")
    private BigDecimal payRealPrice;

    @ExcelProperty("订单状态")
    private String orderStatus;

    @ExcelProperty("生成时间")
    private Date createTime;

    @ExcelProperty("支付时间")
    private Date payTime;

    @ExcelProperty("取消时间")
    private Date cancelTime;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGiveawayType() {
        return giveawayType;
    }

    public void setGiveawayType(String giveawayType) {
        this.giveawayType = giveawayType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getMemName() {
        return memName;
    }

    public void setMemName(String memName) {
        this.memName = memName;
    }

    public String getMemPhone() {
        return memPhone;
    }

    public void setMemPhone(String memPhone) {
        this.memPhone = memPhone;
    }

    public String getPayModel() {
        return payModel;
    }

    public void setPayModel(String payModel) {
        this.payModel = payModel;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPaySerialNo() {
        return paySerialNo;
    }

    public void setPaySerialNo(String paySerialNo) {
        this.paySerialNo = paySerialNo;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getMemDiscountName() {
        return memDiscountName;
    }

    public void setMemDiscountName(String memDiscountName) {
        this.memDiscountName = memDiscountName;
    }

    public BigDecimal getDeductionPrice() {
        return deductionPrice;
    }

    public void setDeductionPrice(BigDecimal deductionPrice) {
        this.deductionPrice = deductionPrice;
    }

    public Integer getPayGold() {
        return payGold;
    }

    public void setPayGold(Integer payGold) {
        this.payGold = payGold;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }
}
